Monthly Archives: April 2014

Upside down skype video on Mint Linux 64bit

A long time back I wrote a blog Upside down skype video on Fedora 14 64bit, it has worked for me since then. However on Mint Linux I had some issues. I will re-iterate all the steps

First try this:

  1. Go to Terminal
  2. Type the following:
    locate v4l1compat.so
    You should see the following:locate
  3. Now type the following
    LD_PRELOAD=/usr/lib/x86_64-linux-gnu/libv4l/v4l1compat.so skype
  4. If you all goes well, skip to step #
  5. If you see the following error, go to step 6error
    ERROR: ld.so: object '/usr/lib/x86_64-linux-gnu/libv4l/v4l1compat.so' from LD_PRELOAD cannot be preloaded: ignored.
  6. Type the following
    sudo dpkg --add-architecture i386
    sudo apt-get update
    sudo apt-get install libv4l-0:i386
  7. Redo step 2
    skypefix
    LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so skype
  8. You shouldn’t see the error this time. This is the library you need to use in future. To fix it forever,
    i. Log in to the super user

    $ su

    Enter the password
    ii. Go to /usr/bin

    # cd /usr/bin

    iii. Rename skype to skype.main

    # mv skype skype.main

    iv. Create a new file skype with the below content:
    LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so /usr/bin/skype.main

    # echo “LD_PRELOAD=/usr/lib/i386-linux-gnu/libv4l/v4l1compat.so /usr/bin/skype.main” > skype

    v. Make the new skype executable

    # chmod 755 skype

Still getting issues? Leave a comment.

Integrated Library Management System for Hogwarts

Hogwarts should implement some library management system for the old books. The challenge would be to recreate the books that scream or bite.

Here are some open source library system:

Open-source

And here’s a wonderful slide show about some library systems.